from typing import Any, Dict, List, Optional, Union

from pydantic import BaseModel


class Message(BaseModel):
    detail: str


class ValidationError(BaseModel):
    loc: List[str]
    msg: str
    type: str


class HTTPValidationError(BaseModel):
    detail: List[ValidationError]


class ResponseBase(BaseModel):
    success: bool
    message: str


class ResponseData(ResponseBase):
    data: Optional[Union[Dict[str, Any], List[Dict[str, Any]]]] = None